/* Character image */

.gmFitFrameLink {
    margin-top:    -8%;
    margin-bottom: -8%;
}

.gmCharacterPoster.imagined :is(.gmFitAdv, .gmFitFrame) { filter: drop-shadow(2px 2px 4px hsla(0, 0%, 0%, 0.5)); }

.gmCharacterPoster.imagined {
    --gmCharacterPosterPad: 20%;
    padding-bottom: var(--gmCharacterPosterPad, 0);
}





/* STAGES */

.gmApp-character:not(.appState-skills)  .gmCharacterWrapSkills,
.gmApp-character:not(.appState-perks)   .gmCharacterWrapPerks,
.gmApp-character:not(.appState-effects) .gmCharacterWrapEffects,
.gmApp-character:not(.appState-settings) .gmCharacterWrapSettings { display: none; }

@media (max-width: 760px) {
    @media (min-width: 641px) {
        /* Features and attributes */
        .gmCharacterAttrList { grid-template-columns: repeat(var(--elzGridFillH), minmax(min(100%, 136px), 1fr)); }
    }
}

@media (min-width: 641px) {
    .gmApp-character { --gmWrapCol1: 320px; }
    .gmApp-character .gmContent.left {
        grid-row-end: 6;
        box-shadow: 0 0 8px rgba(0, 0, 0, 0.15);
        z-index: 11;
    }

    .elzTheme-dark .gmApp-character .gmContent.left { box-shadow: 0 0 8px rgba(0, 0, 0, 0.5); }

    .gmApp-character .gmPanel.bottom { grid-column-start: 2; }

    .gmApp-character:not(.appState-character, .appState-inventory) :is(.gmCharacterWrapFeatures, .gmCharacterWrapInventory),
    .gmApp-character .gmCharacterWrapInventory .gmCharacterInsideHead { display: none; }

    .gmCharacterInventoryPanel { border: none; }
}

@media (max-width: 640px) {
    .gmApp-character .gmOverPanel,
    .gmApp-character .gmOverMenu { position: fixed; }

    .gmApp-character .gmContent {
        grid-column-start: 1;
        grid-column-end:   3;
        background: transparent;
    }

    .gmCharacterNameHead { padding-right: var(--elzEPSize); }

    .gmCharacterPutOn {
        position: fixed;
        top:    calc(var(--elzEPSize) + var(--tg-safe-area-inset-top, 0px)    + var(--tg-content-safe-area-inset-top, 0px)    + 8px);
        bottom: calc(var(--elzEPSize) + var(--tg-safe-area-inset-bottom, 0px) + var(--tg-content-safe-area-inset-bottom, 0px) + 8px);
        z-index: 15;
    }

    .gmCharacterInventoryPanel {
        position: sticky;
        bottom: 0;
        order: 2;
    }

    /* STAGES */
    .gmApp-character.appState-character .gmCharacterNone,
    .gmApp-character.appState-character .gmCharacterContents > .uniScrollWrap,
    .gmApp-character:not(.appState-inventory) .gmCharacterWrapInventory,
    .gmApp-character:not(.appState-character) :is(.gmContent.left, .gmCharacterWrapFeatures),
    .gmApp-character:not(.appState-inventory, .appState-skills, .appState-perks, .appState-effects, .appState-settings) .gmContent.right { display: none; }

    .gmApp-character.appState-character .gmCharacterContents.gmCharacterContents,
    .gmApp-character.appState-character .gmCharacterContents.gmCharacterContents > .uniScrollIn { display: contents; }

    /* Features and attributes */
    @media (max-width: 623px) {
        .gmCharacterAttrList { grid-template-columns: repeat(var(--elzGridFillH), minmax(min(100%, 160px), 1fr)); }
    }

    @media (max-width: 359px) {
        .gmCharacterAttrList { grid-template-columns: repeat(var(--elzGridFillH), minmax(min(100%, 120px), 1fr)); }
    }

    /* Character stage */

    .gmApp-character.appState-character .gmWrapIn { display: block; }

    .gmApp-character.appState-character .gmPanel.bottom {
        position: sticky;
        bottom: 0;
        flex-shrink: 0;
    }

    .gmApp-character.appState-character .gmCharacterWrapFeatures .gmCharacterInsideHead {
        padding-top:   0;
        min-height:    0;
        height:        0;
        margin-top: -8px;
        border: none;
        overflow: hidden;
    }
}